# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: gcc-c++ perl(Config.pm) perl(FindBin.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
# If the emacs-el package has installed a pkgconfig file, use that to determine
# install locations and Emacs version at build time, otherwise set defaults.
%if %($(pkg-config emacs) ; echo $?)
%define emacs_version 22.1
%define emacs_lispdir  %{_datadir}/emacs/site-lisp
%define emacs_startdir %{_datadir}/emacs/site-lisp/site-start.d
%else
%define emacs_version  %{expand:%(pkg-config emacs --modversion)}
%define emacs_lispdir  %{expand:%(pkg-config emacs --variable sitepkglispdir)}
%define emacs_startdir %{expand:%(pkg-config emacs --variable sitestartdir)}
%endif

Name:           perl-SystemC-Vregs
Version:        1.470
Release:        alt1_2
Summary:        Utility routines used by vregs

License:        LGPLv3+ or Artistic 2.0
Group:          Development/Perl
URL:            http://search.cpan.org/dist/SystemC-Vregs/
Source0:        http://www.cpan.org/authors/id/W/WS/WSNYDER/SystemC-Vregs-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  readline-devel
# Run-time
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Bit/Vector.pm)
BuildRequires:  perl(Bit/Vector/Overload.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(Getopt/Long.pm)
BuildRequires:  perl(HTML/Entities.pm)
BuildRequires:  perl(HTML/TableExtract.pm)
BuildRequires:  perl(IO/File.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Pod/Usage.pm)
BuildRequires:  perl(Verilog/Language.pm)
# Tests
BuildRequires:  perl(Test.pm)

Requires:       perl(Verilog/Language.pm) >= 2.1

# Remove under-specified dependencies

Source44: import.info
%filter_from_requires /^^perl\\(Verilog::Language\\)$/d

%description
A Vregs object contains a documentation "package" containing enumerations,
definitions, classes, and registers.


%package -n     emacs-vregs-mode
Summary:        Elisp source files for systemc-vregs under GNU Emacs
Group:          Development/Perl
BuildRequires:  emacs-el
BuildRequires:  emacs

%description -n emacs-vregs-mode
This package provides emacs support for systemc-vregs

%prep
%setup -q -n SystemC-Vregs-%{version}

# fixing error: ‘strchr’ was not declared in this scope
%{__sed} -i "s|#include <stdlib.h>|#include <stdlib.h>\n#include <string.h>|" \
  include/VregsRegInfo.cpp


%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

emacs -batch -f batch-byte-compile vregs-mode.el
%{__install} -d %{buildroot}%{emacs_lispdir}
%{__install} -pm 0644 vregs-mode.el vregs-mode.elc %{buildroot}%{emacs_lispdir}/

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
# make test

%files
%doc Changes COPYING README vregs_spec.doc vregs_spec.htm
%{_bindir}/vreg*

%dir %{perl_vendor_privlib}/SystemC
%{perl_vendor_privlib}/SystemC/Vregs.pm
%{perl_vendor_privlib}/SystemC/vregs_spec__rules.pl

%dir %{perl_vendor_privlib}/SystemC/Vregs
%{perl_vendor_privlib}/SystemC/Vregs/*
%{_mandir}/man?/*


%files -n emacs-vregs-mode
%{emacs_lispdir}/vregs-mode.el*


%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.470-alt1_2
- update to new release by fcimport

* Mon Oct 22 2012 Igor Vlasenko <viy@altlinux.ru> 1.470-alt1_1
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.463-alt2_10
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 1.463-alt2_8
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.463-alt1_8
- fc import

